Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("9208E160-B797-4A5A-9474-539FE9D10FED")]
   internal sealed class EnumSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/EnumerableSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("925173F9-9DBB-4110-9ADE-F2144DE674CD")]
   internal sealed class EnumerableSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/HashSetSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("BBE5697E-7FEC-49DE-923A-FCE72C43B0D9")]
   internal sealed class HashSetSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/KeyValuePairSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("4DBE73C7-DD3B-4222-A18F-8873B6F45A7B")]
   internal sealed class KeyValuePairSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Number2StringSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -40,5 +40,5 @@
   /// but can be useful in generating custom serializers.
   /// </summary>
-  [StorableClass]
+  [StorableClass("F6AD0D2A-275D-4CA1-9557-87CD43260DB0")]
   public sealed class Number2StringSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/NumberEnumerable2StringSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("7ECEC2AF-524F-4703-8BF9-C8660DE048C6")]
   internal sealed class NumberEnumerable2StringSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/QueueSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("B02DED3E-53E8-45FD-8331-9BF13A4364D6")]
   internal sealed class QueueSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StackSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("20A8AE66-617A-457D-9219-B2C095575053")]
   internal sealed class StackSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableAttribute.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// <summary>
   /// Mark the member of a class to be considered by the <c>StorableSerializer</c>.
-  /// The class must be marked as <c>[StorableClass]</c> and the
+  /// The class must be marked as <c>[StorableClass("05FE6F11-87C6-435E-800A-166AFACCF5AC")]</c> and the
   /// <c>StorableClassType</c> should be set to <c>MarkedOnly</c> for
   /// this attribute to kick in.
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableReflection.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -172,5 +172,5 @@
     #endregion
 
-    #region [StorableClass] helpers
+    #region [StorableClass("BBAFAC35-1753-4FF2-8CD5-9D307C782287")] helpers
 
     private static StorableClassAttribute GetStorableClassAttribute(Type type) {
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/Storable/StorableSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -33,10 +33,10 @@
   /// <summary>
   /// Intended for serialization of all custom classes. Classes should have the
-  /// <c>[StorableClass]</c> attribute set. The default mode is to serialize
+  /// <c>[StorableClass("FB71B522-2818-48CD-AF43-EB1E0C2D6504")]</c> attribute set. The default mode is to serialize
   /// members with the <c>[Storable]</c> attribute set. Alternatively the
   /// storable mode can be set to <c>AllFields</c>, <c>AllProperties</c>
   /// or <c>AllFieldsAndAllProperties</c>.
   /// </summary>
-  [StorableClass]
+  [StorableClass("FB71B522-2818-48CD-AF43-EB1E0C2D6504")]
   public sealed class StorableSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/StructSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("47A795AF-7F1C-4EA7-84A8-DAE07C00EFB6")]
   internal sealed class StructSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TupleSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("A1768781-CFE2-4C87-BF7C-6B344483F30B")]
   internal sealed class TupleSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/CompositeSerializers/TypeSerializer.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Persistence.Default.CompositeSerializers {
 
-  [StorableClass]
+  [StorableClass("EC815939-4BC3-44D1-8464-7FCEA6D802C5")]
   internal sealed class TypeSerializer : ICompositeSerializer {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugString.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
   /// Simple write-only format for debugging purposes.
   /// </summary>
-  [StorableClass]
+  [StorableClass("0299A38D-F1E7-4362-BDBF-B40ED98BA04F")]
   public class DebugString : ISerialData {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/DebugString/DebugStringFormat.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -28,5 +28,5 @@
   /// Simple write-only format for debugging purposes.
   /// </summary>
-  [StorableClass]
+  [StorableClass("197FACEB-E9E1-4D1F-AB74-4E017F083574")]
   public class DebugStringFormat : FormatBase<DebugString> {
     /// <summary>
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberArray2XmlSerializerBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [StorableClass]
+  [StorableClass("19C52154-260B-4003-99E0-1C47BD93618B")]
   internal abstract class NumberArray2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : class {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/Compact/NumberEnumeration2XmlSerializerBase.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
 namespace HeuristicLab.Persistence.Default.Xml.Compact {
 
-  [StorableClass]
+  [StorableClass("994DD94B-001A-4834-8099-EC84B81B88D1")]
   internal abstract class NumberEnumeration2XmlSerializerBase<T> : CompactXmlSerializerBase<T> where T : IEnumerable {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlFormat.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// or save to a file.
   /// </summary>
-  [StorableClass]
+  [StorableClass("954DB753-AE15-44EA-ACCA-61A4AF3D4B33")]
   public class XmlFormat : FormatBase<XmlString> {
     /// <summary>
Index: /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Persistence/3.3/Default/Xml/XmlString.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -29,5 +29,5 @@
   /// XML friendly encapsulation of string data.
   /// </summary>
-  [StorableClass]
+  [StorableClass("CAB3BE44-DAFD-4642-ADC8-E8A4A2B18A97")]
   public class XmlString : ISerialData {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Analyzers/BestAntTrailAnalyzer.cs	(revision 13368)
@@ -35,5 +35,5 @@
   /// </summary>
   [Item("BestAntTrailAnalyzer", "An operator for analyzing the best ant trail of an artificial ant problem.")]
-  [StorableClass]
+  [StorableClass("3D72FA3E-4A4E-4FBA-A8EF-477D780C6658")]
   public sealed class BestAntTrailAnalyzer : SingleSuccessorOperator, IAntTrailAnalyzer, ISingleObjectiveOperator {
     public bool EnabledByDefault {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/AntTrail.cs	(revision 13368)
@@ -33,5 +33,5 @@
   /// </summary>
   [Item("AntTrail", "Represents a trail of an artificial ant which can be visualized in the GUI.")]
-  [StorableClass]
+  [StorableClass("56C847FA-9B1A-4EB0-9A98-896AC4DE238F")]
   public sealed class AntTrail : Item {
     public static new Image StaticItemImage {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntExpressionGrammar.cs	(revision 13368)
@@ -28,5 +28,5 @@
 using HeuristicLab.Problems.ArtificialAnt.Symbols;
 namespace HeuristicLab.Problems.ArtificialAnt {
-  [StorableClass]
+  [StorableClass("7976601A-0216-441D-A736-8B783661C53C")]
   [Item(Name = "ArtificialAntExpressionGrammar", Description = "The default grammar for an artificial ant problem.")]
   public class ArtificialAntExpressionGrammar : SymbolicExpressionGrammar {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/ArtificialAntProblem.cs	(revision 13368)
@@ -35,5 +35,5 @@
 namespace HeuristicLab.Problems.ArtificialAnt {
   [Item("Artificial Ant Problem", "Represents the Artificial Ant problem.")]
-  [StorableClass]
+  [StorableClass("B0A00A14-1243-4823-90A6-F66DC6F05367")]
   public sealed class ArtificialAntProblem : SingleObjectiveHeuristicOptimizationProblem<Evaluator, ISymbolicExpressionTreeCreator>, IStorableContent {
     public string Filename { get; set; }
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Evaluator.cs	(revision 13368)
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.ArtificialAnt {
   [Item("ArtificialAntEvaluator", "Evaluates an artificial ant solution.")]
-  [StorableClass]
+  [StorableClass("7601C3BD-E970-4506-906E-965E08CF85DC")]
   public class Evaluator : InstrumentedOperator, ISingleObjectiveEvaluator {
 
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/IfFoodAhead.cs	(revision 13368)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("7889CE79-9C3C-45B7-AD5F-FE9C1B37AD3B")]
   [Item("IfFoodAhead", "Represents the if-food-ahead symbol in a artificial ant expression.")]
   public sealed class IfFoodAhead : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Left.cs	(revision 13368)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("FC269D77-E6BB-4CFE-A44D-4FD2AC78F687")]
   [Item("Left", "Represents the turn-left symbol in a artificial ant expression.")]
   public sealed class Left : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Move.cs	(revision 13368)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("20684258-5D6C-429E-A4CD-538B9566287C")]
   [Item("Move", "Represents the move-forward symbol in a artificial ant expression.")]
   public sealed class Move : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog2.cs	(revision 13368)
@@ -26,5 +26,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("9598AA16-A005-431B-AB67-00EC775805F0")]
   [Item("Prog2", "Represents the sequence symbol with 2 sub-trees in a artificial ant expression.")]
   public sealed class Prog2 : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Prog3.cs	(revision 13368)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("B8A2B010-3BB1-4D50-BCCD-E22A62388546")]
   [Item("Prog3", "Represents the sequence symbol with 3 sub-trees in a artificial ant expression.")]
   public sealed class Prog3 : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.ArtificialAnt/3.4/Symbols/Right.cs	(revision 13368)
@@ -25,5 +25,5 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 namespace HeuristicLab.Problems.ArtificialAnt.Symbols {
-  [StorableClass]
+  [StorableClass("50B9D0F9-73D7-44D6-B227-2F27B31DD589")]
   [Item("Right", "Represents the turn-right symbol in a artificial ant expression.")]
   public sealed class Right : Symbol {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/BinaryProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/BinaryProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/BinaryProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -33,5 +33,5 @@
 
 namespace HeuristicLab.Problems.Binary {
-  [StorableClass]
+  [StorableClass("0C1838BD-635D-4EF0-A049-DA1E0CEE7B31")]
   public abstract class BinaryProblem : SingleObjectiveBasicProblem<BinaryVectorEncoding> {
     public virtual int Length {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveStepTrapProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveStepTrapProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveStepTrapProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -31,5 +31,5 @@
 namespace HeuristicLab.Problems.Binary {
   [Item("Deceptive Step Trap Problem", "Genome encodes completely separable blocks, where each block deceptive with fitness plateaus.")]
-  [StorableClass]
+  [StorableClass("4513028F-4A40-4998-AFAA-329EDA1212C6")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 230)]
   public class DeceptiveStepTrapProblem : DeceptiveTrapProblem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveTrapProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveTrapProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/DeceptiveTrapProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -32,5 +32,5 @@
 namespace HeuristicLab.Problems.Binary {
   [Item("Deceptive Trap Problem", "Genome encodes completely separable blocks, where each block is fully deceptive.")]
-  [StorableClass]
+  [StorableClass("D2273632-F426-4B17-85E8-A7A28132A108")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 230)]
   public class DeceptiveTrapProblem : BinaryProblem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/HIFFProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/HIFFProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/HIFFProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -30,5 +30,5 @@
 namespace HeuristicLab.Problems.Binary {
   [Item("Hierararchical If and only If problem (HIFF)", "Genome evaluated in nested subsets to see if each subset contains either all 0s or all 1s.")]
-  [StorableClass]
+  [StorableClass("D4FA3339-B130-4919-8638-7E14F5FC47B7")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 220)]
   public class HIFFProblem : BinaryProblem {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/OneMaxProblem.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/OneMaxProblem.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.Binary/3.3/OneMaxProblem.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 /* HeuristicLab
  * Copyright (C) 2002-2015 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
@@ -30,5 +30,5 @@
   [Item("One Max Problem", "Represents a problem whose objective is to maximize the number of true values.")]
   [Creatable(CreatableAttribute.Categories.CombinatorialProblems, Priority = 210)]
-  [StorableClass]
+  [StorableClass("16EA16EB-681E-4FDC-AE63-BB96067812BD")]
   public class OneMaxProblem : BinaryProblem {
     public override bool Maximization {
Index: /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification/3.4/ModelCreators/AccuracyMaximizingThresholdsModelCreator.cs
===================================================================
--- /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification/3.4/ModelCreators/AccuracyMaximizingThresholdsModelCreator.cs	(revision 13367)
+++ /branches/PersistenceOverhaul/HeuristicLab.Problems.DataAnalysis.Symbolic.Classification/3.4/ModelCreators/AccuracyMaximizingThresholdsModelCreator.cs	(revision 13368)
@@ -1,3 +1,3 @@
-﻿#region License Information
+#region License Information
 
 /* HeuristicLab
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.DataAnalysis.Symbolic.Classification {
-  [StorableClass]
+  [StorableClass("D68299D6-986C-4920-A13A-89CA01C46239")]
   [Item("AccuracyMaximizingThresholdsModelCreator", "")]
   public sealed class AccuracyMaximizingThresholdsModelCreator : Item, ISymbolicDiscriminantFunctionClassificationModelCreator {
